// DetailsPropertySheet.h : header file
//
// This class defines custom modal property sheet 
// CDetailsPropertySheet.
 
#ifndef __DETAILSPROPERTYSHEET_H__
#define __DETAILSPROPERTYSHEET_H__

class CMultiSheetDoc;

#include "DetailsPropertyPages.h"

/////////////////////////////////////////////////////////////////////////////
// CDetailsPropertySheet

class CDetailsPropertySheet : public CPropertySheet
{
	DECLARE_DYNAMIC(CDetailsPropertySheet)
private:
	CMultiSheetDoc* m_pDesign;

// Construction
public:
	CDetailsPropertySheet(CMultiSheetDoc* pDesign, CWnd* pWndParent = NULL);

// Attributes
public:
	CDetailsPropertyPage1 m_Page1;
	CDetailsPropertyPage2 m_Page2;

// Operations
public:

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CDetailsPropertySheet)
	//}}AFX_VIRTUAL

// Implementation
public:
	virtual ~CDetailsPropertySheet();

// Generated message map functions
protected:
	//{{AFX_MSG(CDetailsPropertySheet)
		// NOTE - the ClassWizard will add and remove member functions here.
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

/////////////////////////////////////////////////////////////////////////////

#endif	// __DETAILSPROPERTYSHEET_H__
