#pragma once

#include "Details.h"

class CMultiSheetDoc;

//=========================================================================
//== The dialog to set the design details
//=========================================================================
class CDlgDetails
: public CDialog
{
private:
	typedef	CDialog super;

	enum { IDD = IDD_DESIGN };

	//--
	private:	CMultiSheetDoc*	m_pDesign;
	private: 	CString			m_sVersion;
	private: 	CString			m_sAuthor;
	private: 	CString			m_sDate;
	private: 	BOOL			m_bIsVisible;
	private: 	CString			m_sDoc;
	private: 	CString			m_sFile;
	private: 	CString			m_sOrg;
	private: 	CString			m_sRevision;
	private: 	CString			m_sSheets;
	private: 	CString			m_sTitle;
	private: 	BOOL			m_bHasRulers;

	//---------------------------------------------------------------------
	public:						CDlgDetails( CWnd* wndParent, CMultiSheetDoc* pDesign );
	//---------------------------------------------------------------------
	protected:	virtual BOOL	OnInitDialog();
	//---------------------------------------------------------------------
	protected:	virtual void	DoDataExchange( CDataExchange* pDX );
	//---------------------------------------------------------------------
	protected:	virtual void	OnOK();
	//---------------------------------------------------------------------
};
//=========================================================================