/*
 * Project:		TinyCAD program for schematic capture
 *				http://tinycad.sourceforge.net
 * Copyright:	 1994-2005 Matt Pyne
 * License:		Lesser GNU Public License 2.1 (LGPL)
 *				http://www.opensource.org/licenses/lgpl-license.html
 */

#pragma once

// For future compatibility with .NET and Win64
typedef	BYTE	Int8;	// typedef __int8	Int16; not possible because of xml-reader/writer
typedef short	Int16;	// typedef __int16	Int16; not possible because of xml-reader/writer
typedef int		Int32;	// typedef __int32	Int16; not possible because of xml-reader/writer
typedef	__int64	Int64;
typedef WORD	UInt16;
typedef	DWORD	UInt32;
typedef	UINT64	UInt64;
//typedef	BYTE	Bool8;
typedef	BOOL	Bool8;

#ifndef TODO
   #define chSTR(x)  #x
   #define chSTR2(x) chSTR(x)
   #define TODO(desc) message( __FILE__"(" chSTR2(__LINE__) "): TODO => " #desc)
#endif
