// ResizeWnd.cpp : implementation file
//

#include "stdafx.h"
#include "tinycad.h"
#include "ResizeWnd.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CResizeWnd

CResizeWnd::CResizeWnd()
{
	m_cursor = AfxGetApp()->LoadCursor( AFX_IDC_TRACKWE );
	m_adjust_width = 0;
}

CResizeWnd::~CResizeWnd()
{

}


BEGIN_MESSAGE_MAP(CResizeWnd, CWnd)
	//{{AFX_MSG_MAP(CResizeWnd)
	ON_WM_LBUTTONDOWN()
	ON_WM_LBUTTONUP()
	ON_WM_MOUSEMOVE()
	ON_WM_PAINT()
	ON_WM_SETCURSOR()
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CResizeWnd message handlers

void CResizeWnd::OnLButtonDown(UINT nFlags, CPoint point) 
{
	CRect r;
	GetClientRect( r );
	r.left = point.x - 1;
	r.right = point.x + 1;
	r.top = -2048;
	r.bottom = 2048; 
	CRectTracker tracker( r, CRectTracker::hatchInside );;

	tracker.Track( this, point, FALSE, AfxGetMainWnd() );
	m_adjust_width = tracker.m_rect.left;
	AfxGetMainWnd()->PostMessage( WM_COMMAND, ID_RESIZE );
	
	CWnd::OnLButtonDown(nFlags, point);
}

void CResizeWnd::OnLButtonUp(UINT nFlags, CPoint point) 
{
	
	CWnd::OnLButtonUp(nFlags, point);
}

void CResizeWnd::OnMouseMove(UINT nFlags, CPoint point) 
{
	// TODO: Add your message handler code here and/or call default
	
	CWnd::OnMouseMove(nFlags, point);
}

void CResizeWnd::OnPaint() 
{
	CPaintDC dc(this); // device context for painting
	
	CRect r;
	GetClientRect( r );
	CBrush brush( ::GetSysColor( COLOR_3DFACE ) );
	CBrush *pbrush = dc.SelectObject( &brush );
	dc.Rectangle( r );

	dc.Draw3dRect(r, GetSysColor(COLOR_BTNHIGHLIGHT), GetSysColor(COLOR_BTNSHADOW));

	dc.SelectObject( pbrush );

}

BOOL CResizeWnd::OnSetCursor(CWnd* pWnd, UINT nHitTest, UINT message) 
{
	// trackers should only be in client area
	if (nHitTest == HTCLIENT)
	{
		::SetCursor( m_cursor );
		return TRUE;
	}

	return CWnd::OnSetCursor(pWnd, nHitTest, message);
}
