#if !defined(AFX_TINYCADMULTISYMBOLDOC_H__0E0AA344_4EE5_4EA5_9A11_05B0033DC1C0__INCLUDED_)
#define AFX_TINYCADMULTISYMBOLDOC_H__0E0AA344_4EE5_4EA5_9A11_05B0033DC1C0__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// TinyCadMultiSymbolDoc.h : header file
//

#include "MultiSheetDoc.h"
#include "TinyCadSymbolDoc.h"


/////////////////////////////////////////////////////////////////////////////
// CTinyCadMultiSymbolDoc document

class CTinyCadMultiSymbolDoc : public CMultiSheetDoc
{
protected:
	CTinyCadMultiSymbolDoc();           // protected constructor used by dynamic creation
	DECLARE_DYNCREATE(CTinyCadMultiSymbolDoc)

	CTinyCadSymbolDoc*		m_pDocument;
	int						m_ppp;

public:

	CTinyCadMultiSymbolDoc(CLibraryStore* pLib, CLibraryStoreNameSet &symbol );

	// Is this document editing a library?
	virtual bool IsLibInUse( CLibraryStore *lib );

	// get the number of documents in this multi-doc
	virtual int	 GetNumberOfSheets();
	virtual void SetActiveSheetIndex( int i );
	virtual int GetActiveSheetIndex();
	virtual CString GetSheetName( int i );

	// Get the currently active sheet to work with
	virtual CTinyCadDoc*	GetSheet(int i);

	virtual void OnFolderContextMenu();

	virtual BOOL CanCloseFrame(CFrameWnd* pFrameArg);


// Attributes
public:

// Operations
public:

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CTinyCadMultiSymbolDoc)
	public:
	virtual void Serialize(CArchive& ar);   // overridden for document i/o
	protected:
	virtual BOOL OnNewDocument();
	//}}AFX_VIRTUAL

// Implementation
public:
	virtual ~CTinyCadMultiSymbolDoc();
#ifdef _DEBUG
	virtual void AssertValid() const;
	virtual void Dump(CDumpContext& dc) const;
#endif

	// Generated message map functions
protected:
	//{{AFX_MSG(CTinyCadMultiSymbolDoc)
	afx_msg void OnLibraryAddpin();
	afx_msg void OnFileSave();
	afx_msg void OnFileSaveAs();
	afx_msg void OnLibrarySetpartsperpackage();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_TINYCADMULTISYMBOLDOC_H__0E0AA344_4EE5_4EA5_9A11_05B0033DC1C0__INCLUDED_)
