#if !defined(AFX_MULTISHEETDOC_H__EDAF3F16_D67C_494C_9A09_0F3BA98D2FD5__INCLUDED_)
#define AFX_MULTISHEETDOC_H__EDAF3F16_D67C_494C_9A09_0F3BA98D2FD5__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include "Details.h"

// MultiSheetDoc.h : header file
//

/////////////////////////////////////////////////////////////////////////////
// CMultiSheetDoc document


class CMultiSheetDoc : public CDocument
{
protected:
	CMultiSheetDoc();           // protected constructor used by dynamic creation
	DECLARE_DYNCREATE(CMultiSheetDoc)


public:

	// Force an autosave of the document
	virtual void AutoSave();

	// Is this document editing a library?
	virtual bool IsLibInUse( CLibraryStore *lib );

	// get the number of documents in this multi-doc
	virtual int	 GetNumberOfSheets();
	virtual void SetActiveSheetIndex( int i );
	virtual int GetActiveSheetIndex();
	virtual CString GetSheetName( int i );
	virtual CTinyCadDoc*	GetSheet( int i );

	// Get the currently active sheet to work with
	virtual CTinyCadDoc*	GetCurrentSheet();

	virtual void OnFolderContextMenu();

// Attributes
public:

// Operations
public:

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CMultiSheetDoc)
	public:
	virtual void Serialize(CArchive& ar);   // overridden for document i/o
	protected:
	virtual BOOL OnNewDocument();
	//}}AFX_VIRTUAL

// Implementation
public:
	virtual ~CMultiSheetDoc();
#ifdef _DEBUG
	virtual void AssertValid() const;
	virtual void Dump(CDumpContext& dc) const;
#endif

	// Generated message map functions
protected:
	//{{AFX_MSG(CMultiSheetDoc)
		// NOTE - the ClassWizard will add and remove member functions here.
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_MULTISHEETDOC_H__EDAF3F16_D67C_494C_9A09_0F3BA98D2FD5__INCLUDED_)
